function Create(self)
	local curdist = 50;
    for actor in MovableMan.Actors do
	local avgx = actor.Pos.X - self.Pos.X;
	local avgy = actor.Pos.Y - self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist < curdist then
	    curdist = dist;
	    self.origin = actor;
	end
    end
	if self.origin ~= nil and MovableMan:ValidMO(self.origin) then 
		local AimVector = ConvertAngleToNormalizedVector(self.origin:GetAimAngle(true)); 
		local EndPosition = self.Pos+(AimVector*180);
		self.Pos = Vector(self.Pos.X,self.Pos.Y+1) + AimVector*12;
	
		ResultPosition, ResultMOID, ResultTerrainContact = ScanVectorForMOTerrainAware(self.Pos,EndPosition,self.origin.ID);
		
		DrawChaoticLineWithPostProcessing(self.Pos,ResultPosition, 1, 1, 0.5, "BlueSmall",RandomizeForWarper,4);
		
		DrawChaoticLineWithPostProcessing(self.Pos+((AimVector.Perpendicular*7)+(AimVector*8)), self.Pos+((AimVector.Perpendicular*-7)+(AimVector*8)), 0.2,1, 2, "SmokeParticle2",RandomizeForWarperRings,2);
		DrawChaoticLineWithPostProcessing(self.Pos+((AimVector.Perpendicular*13)+(AimVector*16)), self.Pos+((AimVector.Perpendicular*-13)+(AimVector*16)), 0.2,1, 2, "SmokeParticle2",RandomizeForWarperRings,4);
		
		if ResultTerrainContact == true or ResultMOID ~= 255 then
			local ParticlesCount = SceneMan:ShortestDistance(ResultPosition,EndPosition,true);
			for i=0,ParticlesCount.Magnitude,1 do
				local Particle = CreateMOPixel("BlueSmallMass");
				Particle.Pos = ResultPosition - AimVector*3;
				Particle.Sharpness = 1;
				Particle.Vel = Vector(ReturnRandomPositiveNegative(6),ReturnRandomPositiveNegative(6));
				MovableMan:AddParticle(Particle);
				Particle.Age = 350;
			end
		end
		
	end
	self.ToDelete=true;
end